Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2471 closed defect (fixed)

Race condition on SMP for events and timeouts

Reported by: Sebastian Huber Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description


Change History (3)

comment:1 Changed on 11/17/15 at 06:49:17 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"72857659c1f8fc71da4a30833caab583a2cfac6d/rtems"]:

score: Fix race condition on SMP

We must ensure that the Thread_Control::Wait information update is
visible to the target thread before we update its wait flags, otherwise
we may return out of date events or a wrong status.

Close #2471.

comment:2 Changed on 10/10/17 at 06:27:10 by Sebastian Huber

Component: SMPscore

comment:3 Changed on 10/10/17 at 06:29:01 by Sebastian Huber

Component: scorecpukit
Note: See TracTickets for help on using tickets.